const timelineData = [
{
  text: 'Started working on the app-ideas repository',
  date: '2021-2-18',
  category: {
    tag: 'app-ideas',
    color: '#FFDB14' },

  link: {
    url: 'https://sc.chinaz.com/',
    text: '了解详情' } },


{
  text: 'Started the Weekly Coding Challenge program',
  date: '2021-5-4',
  category: {
    tag: 'blog',
    color: '#e17b77' },

  link: {
    url: 'https://sc.chinaz.com/',
    text: '了解详情' } },


{
  text: 'Got 1.000 followers on Twitter',
  date: '2021-5-7',
  category: {
    tag: 'twitter',
    color: '#1DA1F2' },

  link: {
    url: 'https://sc.chinaz.com/',
    text: '了解详情' } },


{
  text:
  'I published my first article in the FreeCodeCamp Medium Publication',
  date: '2021-5-18',
  category: {
    tag: 'medium',
    color: '#018f69' },

  link: {
    url:'https://sc.chinaz.com/',
    text: '了解详情' } },


{
  text: 'Over 12.000 views in a single day on my Medium posts',
  date: '2021-6-6',
  category: {
    tag: 'medium',
    color: '#018f69' },

  link: {
    url: 'https://sc.chinaz.com/',
    text: '了解详情' } }];




const TimelineItem = ({ data }) => /*#__PURE__*/
React.createElement("div", { className: "timeline-item" }, /*#__PURE__*/
React.createElement("div", { className: "timeline-item-content" }, /*#__PURE__*/
React.createElement("span", { className: "tag", style: { background: data.category.color } },
data.category.tag), /*#__PURE__*/

React.createElement("time", null, data.date), /*#__PURE__*/
React.createElement("p", null, data.text),
data.link && /*#__PURE__*/
React.createElement("a", {
  href: data.link.url,
  target: "_blank",
  rel: "noopener noreferrer" },

data.link.text), /*#__PURE__*/


React.createElement("span", { className: "circle" })));




const Timeline = () =>
timelineData.length > 0 && /*#__PURE__*/
React.createElement("div", { className: "timeline-container" },
timelineData.map((data, idx) => /*#__PURE__*/
React.createElement(TimelineItem, { data: data, key: idx })));




const App = () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/
React.createElement("h1", null, "React 时间轴"), /*#__PURE__*/
React.createElement(Timeline, null));


ReactDOM.render( /*#__PURE__*/React.createElement(App, null), document.getElementById('app'));